Support » Plugin: MailPoet Newsletters (Previous) » WordPress database error Illegal mix of collations

  • I whould like update mailpoets to version 3 but about a few days,
    after update from php 5.5 to php 5.6, from my hosting, i see, sometimes, this error:

    [10-May-2018 15:16:11 UTC] WordPress database error Illegal mix of collations (utf8_general_ci,IMPLICIT) and (utf8mb4_unicode_ci,COERCIBLE) for operation ‘=’ per la query SELECT * FROM wp_wysija_url WHERE url=”–÷ùȹ֙ú œ6šjÍ÷,zQ¥áæ%‰ž” ORDER BY url_id DESC LIMIT 0 , 1 fatta da require(‘wp-blog-header.php’), require_once(‘wp-load.php’), require_once(‘wp-config.php’), require_once(‘wp-settings.php’), do_action(‘init’), WP_Hook->do_action, WP_Hook->apply_filters, call_user_func_array, WYSIJA_control_front_stats->analyse, WJ_Stats->subscriber_clicked, WJ_Stats->_record_url, WYSIJA_model->getOne, WYSIJA_model->get, WYSIJA_model->getRows, WYSIJA_model->query
    [10-May-2018 15:16:11 UTC] WordPress database error Illegal mix of collations (utf8_general_ci,IMPLICIT) and (utf8mb4_unicode_ci,COERCIBLE) for operation ‘=’ per la query SELECT * FROM wp_wysija_url WHERE url=”–÷ùȹ֙ú œ6šjÍ÷,zQ¥áæ%‰ž” ORDER BY url_id DESC LIMIT 0 , 1 fatta da require(‘wp-blog-header.php’), require_once(‘wp-load.php’), require_once(‘wp-config.php’), require_once(‘wp-settings.php’), do_action(‘init’), WP_Hook->do_action, WP_Hook->apply_filters, call_user_func_array, WYSIJA_control_front_stats->analyse, WJ_Stats->subscriber_clicked, WJ_Stats->_record_url, WYSIJA_model->getOne, WYSIJA_model->get, WYSIJA_model->getRows, WYSIJA_model->query

    [10-May-2018 15:16:11 UTC] PHP Warning: Cannot modify header information – headers already sent by (output started at /home/*******/public_html/wp-includes/wp-db.php:1399) in /home/*******/public_html/wp-includes/pluggable.php on line 1216

    How can i fix this error before update to mailpoets 3?
    I use wordpress 4.9.5

    Regards!

  • The topic ‘WordPress database error Illegal mix of collations’ is closed to new replies.